@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    /* margin: 0; */
    /* padding: 0; */
    box-sizing: border-box;    
}

body {
    font-family: 'Poppins', sans-serif;
    background-color: #ffffff;
    color: #333;
    overflow-x: hidden;
}


#submenu li {
    margin: 6px;
    transition: all 0.5s ease;
}


.menus-header li:hover #submenu {
    display: flex;
    transition: all 0.5s ease;
}

#submenu li {
    display: block;
}


.button-support:hover {
    background-color: #ffffffdc;
    color: rgba(0, 0, 0, 0.904);
    transition: all 0.3s ease;
}

.submenu-zoom {
    overflow: hidden !important;
    position: relative;
}
.submenu-zoom > .submenu-img {
    transition: transform 0.25s cubic-bezier(.4,0,.2,1);
    display: block;
    width: 100%;
    height: 124px;
    object-fit: cover;
    border-radius: 0px 0px 10px 10px;
}
.submenu-zoom:hover > .submenu-img {
    transform: scale(1.04);
    z-index: 2;
}



div#text-container {
    left: 15%;
    top: 35%;
    width: 580px;
    height: 330px;
} 
#text-container h4 {
    color: #25d366;
    font-size: 18px;
    font-family: "Poppins", sans-serif;
    font-weight: 400;
    margin-bottom: 10px;
    letter-spacing: 2px;

} 

#text-container h1 {
    font-family: "Poppins", sans-serif;
    font-weight: 600;
    text-transform: uppercase;
    font-size: 65px;
    color: white;
}

#text-container h3 {
    color: #25d366;
    font-size: 18px;
    font-weight: 500;
    margin-bottom: 10px;    
}

#text-container p {
    color: #ffffffb4;
    font-size: 14px;
    margin-bottom: 10px;
    font-weight: 300;
    font-family: "Poppins", sans-serif;
    letter-spacing: 1px;
    text-align: justify;
}

.titulos .title {
    display: none;
    opacity: 0;
    transition: opacity 1s ease-in-out;
    position: absolute;
}

.titulos {
    position: relative;
    height: 200px;
}

.titulos .title.active {
    display: block;
    opacity: 1;
}

#typing-text {
    border-right: 2px solid #000;
    padding-right: 5px;
    animation: blink 0.7s infinite;
}

@keyframes blink {
    0%, 100% { border-color: transparent; }
    50% { border-color: black; }
}

#nav {
    transition: width 0.3s, background-color 0.3s, backdrop-filter 0.3s, padding 0.3s, border-radius 0.3s, border 0.3s;
}

#nav.dark #menu-icon {
    color: white;
    
}


#nav.dark {
    background-color: rgba(0, 0, 0, 0.7); /* ou a cor que você quiser */
    width: 50%;
    padding: 0px 20px;
    border-radius: 15px;
    backdrop-filter: blur(3px);
    border: 1px solid rgba(255, 255, 255, 0.2)!important;
}
#nav.dark .escritalogo {
    color: white;
    display: none;
}

#nav.dark .escrito:hover {
    background-color: #27272a9d;

}

#nav.dark .logoicon {
    filter: brightness(0) saturate(100%) invert(100%);
}


#nav.dark .submenudentro {
    /* font-size: 0.775rem; */
    text-align: left;
}

#nav.dark #card-extra h3 {
    /* font-size: 0.675rem; */
    text-align: left;
}

#nav.dark .servicos {
    width: 900px;
    border: 1px solid rgba(255, 255, 255, 0.2);
}


#nav.dark .empresa {
    width: 900px;
}

#nav.dark #lang {
    color: white!important;
}

#nav.light #menu-icon {
    color: rgb(0, 0, 0)!important;
    
}

#nav.light {
    background-color: rgba(255, 255, 255, 0.7); /* ou a cor que você quiser */
    width: 50%;
    padding: 0px 20px;
    border-radius: 15px;
    backdrop-filter: blur(3px);
    border: 1px solid rgba(0, 0, 0, 0.2)!important;
}

#nav.light .logoicon {
    filter: none!important;
}

#nav.light .escritalogo {
    color: white;
    display: none;
}


#nav.light a {
    color: black
}

#nav.light #submenu {
    background: rgb(255, 255, 255)!important;
    border: 1px solid rgba(0, 0, 0, 0.2);
}

#nav.light .submenudentro {
    text-align: left;
}

#nav.light .submenudentro:hover {
    background: rgb(244, 244, 245);
}

#nav.light .servicos #card-extra {
    background: rgb(244, 244, 245);
}

#nav.light #card-extra h3 {
    text-align: left;
    color: #000;
}

#nav.light .servicos {
    width: 900px
}

#nav.light .empresa {
    width: 900px
}

#nav.light #card {
    background: rgb(244, 244, 245);
}
#nav.light .escrito:hover {
    background-color: #f4f4f59d;

}
#nav.light #submenu #card p {
    color: rgb(46, 46, 46)!important;
}
.submenudentro:hover {
    background-color: rgba(255, 255, 255, 0.1);
    color: #ebebeb;
}

#nav.light #lang {
    color: black!important;
}

#nav.light #faleConosco {
    padding: 12px 20px;
    background-color: rgba(255, 255, 255, 0.7);
    border: 1px solid rgb(54, 54, 54);
    color: rgb(0, 0, 0);
}

#nav.light a#support {
    padding: 12px 20px;
    box-shadow: rgba(37, 211, 101, 0.624) 0px 0px 13px 0px;
    background-color: rgb(0, 0, 0);
    color: rgb(255, 255, 255);
}

@media (max-width: 1023px) {
    /* .nav {
        display: none;
    } */
    
    .navresponsivel {
        display: flex;
        margin-top: 10px;
    }
    
    div#main-menu {
        position: absolute;
        top: 100%;
        left: 0;
        background: rgba(0, 0, 0, 0.95);
        width: 100%;
        padding: 20px 10px;
        border-radius: 10px;
        z-index: 1002;
    }

    .menu {
        flex-direction: column;
    }

    ul.menus-header.flex.list-style-type-none {
        flex-direction: column;
        align-items: center;
    }

    a.escrito.pl-2.pr-2.pb-5.pt-5.text-white.flex.items-center.gap-2.group\/servicos {
        display: flex;
        justify-content: center;
    }
}

@media (min-width: 1024px) {
    .nav {
        display: flex;
    }
    
    .navresponsivel {
        display: none;
    }

}

